Bug 635957 - [qt][Cursoring][Indic] - Composed Character Deletion is wrong with DELETE Button
[qt][Cursoring][Indic] - Composed Character Deletion is wrong with DELETE Button
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: i18n
Depends On: 635961
Blocks: 631761 631768
  Show dependency treegraph
 
Reported: 2010-09-21 02:46 EDT by Satyabrata Maitra
Modified: 2015-02-17 08:23 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:23:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Satyabrata Maitra 2010-09-21 02:46:02 EDT
Description of problem:
In qt (tested it in kwrite), the deletion with DELETE key, is not following the rule of deleting entire composed character with a single key press. It is deleting each of the character in a composed character, one by one.

Version-Release number of selected component (if applicable):
qt-4.6.3-8
kdebase-4.4.5-1.fc13.i686
How reproducible:
Always


Steps to Reproduce:
1. Open kwrite in mr_IN locale
2. Activate ibus with CTRL+SPACE. Select marathi - Inscript
3. Type : kdk (which means consonant KA + Halant + Consonant KA)
4. Position the cursor at the beginning point of the composed character.
5. Now, press DELETE key. (It needs 3 key strokes to delete the whole character, but it should be done with a single key stroke in fact)

Actual results:
Delete composed character is happening in wrong manner. Actually it is now following the convention (Rule) of BACKSPACE, when deleting a composed character comes into picture.

Expected results:
It should delete the whole composed character in one DELETE key stroke when cursor positions at the start of the composed character.

Additional info:


OS : Fedora 13
Arch : i386


Additional  Information:
i think we should find document explaining standard behaviour of backspace and delete key as per defined by Unicode or Any other Standard.

then only we can gave it as a reference for developer, i have seen this question raised some time in pango upstream.

oowriter and gedit deleting characters till halant but qt is deleting characters by characters
Comment 1 Akira TAGOH 2011-05-24 09:06:00 EDT
Does this issue still persist in f15 say?
Comment 2 A S Alam 2011-05-25 02:52:04 EDT
yes, still exist in Fedora 15 with following packages:
qt-4.7.2-8.fc15.x86_64
kdebase-4.6.3-1.fc15.x86_64
pango-1.28.4-1.fc15.x86_64
libicu-4.4.2-7.fc15.x86_64
--

moving to Fedora 15
Comment 3 Akira TAGOH 2012-06-26 04:20:59 EDT
Hm, I should ask this earlier - can you please file a bug upstream if not yet?
Comment 4 Satyabrata Maitra 2012-06-27 05:48:05 EDT
Hi Tagoh

Let me check in unstream, this bug filed long time back, can not remember really.
Comment 5 Parag Nemade 2012-07-26 05:55:14 EDT
Still present in Fedora 17.
Comment 6 Fedora End Of Life 2013-07-04 01:34:15 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Akira TAGOH 2013-07-10 06:01:34 EDT
This issue still persists in f19.
Comment 8 Fedora End Of Life 2015-01-09 11:21:41 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 08:23:52 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.